Subject: bug#71489: Two libtool issues

From: Sam James <[email-masked]>
Date: Fri, 09 Aug 2024 18:41:41 +0100

Ileana Dumitrescu <[email-masked]> writes:

> Hi Sergey,
>
> On 11/06/2024 14:20, Sergey Poznyakoff wrote:
>> Hello,
>> Some time ago I discovered two libool issues related to the library
>> preference, which caused lots of problems in GNU mailutils.  The issues
>> are described in detail in the following article:
>>    https://gray.gnu.org.ua/public/ltbug
>> (Sorry if it is too long: I tried to provide as much detail as
>> possible,
>> along with examples and proposed patches).
>>    I reported that to the bug-libtool list on 2019-12-14. Back then
>> I got a
>> reply which seemed to stem from misreading rather than from an attempt to
>> understand the problem. So I ended up distributing a patched ltmain.sh
>> with GNU mailutils.
>> Is there any chance these issues can be addressed in libtool?
>
> Thank you for your bug report and all of the detail that you provided. I
> have replicated your errors and created a test file based off of your
> testcases. It has been applied to libtool's development branch [1]. If
> you would verify the patch and test file are applied properly for this
> issue, I will close the bug.

The writeup is genuinely excellent - still digesting it.

It looks to me like
https://gray.gnu.org.ua/public/ltbug/0001-ltmain.in-append-rpath-option-arguments-to-finalize_.patch
did get applied but merged into one patch so the commit message from the
1st one got lost. Not sure if that's worth changing.

>
> Also, thank you for reporting these issues again. I am sorry it was not
> looked into sooner.
>
> [1]
> https://git.savannah.gnu.org/cgit/libtool.git/commit/?h=development&id=998a3347622014a0ecb58bdf57388b3f545e5934